ARM Technical Support Knowledge Articles

Installing ADT Eclipse plug-ins fails because of missing required plug-in org.eclipse.wst.sse.core

Applies to: DS-5

Answer

SYMPTOMS

When trying to install the Android Development Tools (ADT) plug-in into Eclipse for DS-5, the following error is shown, preventing the installation to complete:

 

Installation error

 

CAUSE

This error occurs because some plug-ins ADT depends on, such as org.eclipse.wst.sse.core are not part of the DS-5 installation. Usually, Eclipse tries to resolve missing dependencies by interrogating known update sites, however the update site distributing plug-in org.eclipse.wst.sse.core is disabled by default in DS-5.

 

RESOLUTION

Solving this issue requires the main Eclipse update site to be enabled. To do so, from the Install dialog, click on the Available software sites hyperlink. This will open the relevant preferences page, on which you should tick the check box in front of location http://download.eclipse.org/releases/indigo as shown below:

 

Available software sites preferences

 

If there is no entry for http://download.eclipse.org/releases/indigo, please add one first using the Add... button on the right-hand side.

In addition, the option Contact all update sites during install to find required software must be checked, as depicted below:

 

Install dialog

 

You can now proceed with the installation: all dependencies found on http://download.eclipse.org/releases/indigo will automatically be downloaded.

Attachments: KB.png , KB2.png , KB3.png

Article last edited on: 2011-12-01 13:10:33

Rate this article

[Bad]
|
|
[Good]
Disagree? Move your mouse over the bar and click

Did you find this article helpful? Yes No

How can we improve this article?

Link to this article
Copyright © 2011 ARM Limited. All rights reserved. External (Open), Non-Confidential